function start_clock() {
    now = new Date();
    hours = now.getHours();
    minutes = now.getMinutes();

    if (minutes < 10)
        minutes = "0" + minutes;

    if (hours < 12)
        minutes = minutes + " A.M ";
    else if (hours >= 12)
        minutes = minutes + " P.M ";

    if (hours == 0)
        hours = hours + 12;
    else if (hours > 12)
        hours = hours - 12;

    time = hours + ":" + minutes;
    document.time_form.clock.value = time;
    
    setTimeout("start_clock()", 1000);
}